hooksecurefunc("GameTooltip_SetDefaultAnchor", function(self, parent) self:SetOwner(parent, "ANCHOR_CURSOR") end)
GameTooltip:HookScript("OnTooltipSetUnit", function(GameTooltip)
	--print("OnTooltipSetUnit")
	local _, unit = GameTooltip:GetUnit()
	--print(unit)
	if UnitIsPlayer(unit) then
		--print("UnitIsPlayer")
		local _, class = UnitClass(unit)
		--print(class)
		local color = class and (CUSTOM_CLASS_COLORS or RAID_CLASS_COLORS)[class]
		local unitGuild = GetGuildInfo(unit)
		local l = UnitLevel(unit)
		if color then
			local text = GameTooltipTextLeft1:GetText()
			local text2 = GameTooltipTextLeft2:GetText()
			--print(text)
			GameTooltipTextLeft1:SetFormattedText("|cff%02x%02x%02x%s|r", color.r * 255, color.g * 255, color.b * 255, text:match("|cff\x\x\x\x\x\x(.+)|r") or text)
			if unitGuild then
				--move level line to a new one
				--GameTooltip:AddLine("<"..unitGuild..">", color.r * 255, color.g * 255, color.b * 255)
				--add guild info
				GameTooltipTextLeft2:SetText(text2.."\n".."<"..unitGuild..">")
			end
		end
	end
end)